org.h2.result

## Class FetchedResult

- java.lang.Object
- - org.h2.result.FetchedResult

All Implemented Interfaces:
  java.lang.AutoCloseable, ResultInterface

Direct Known Subclasses:
  LazyResult, ResultRemote

    public abstract class FetchedResult
    extends java.lang.Object
    implements ResultInterface

Abstract fetched result.

### Method Summary

All Methods Instance Methods Concrete Methods
`ResultInterface` `createShallowCopy(Session targetSession)` Create a shallow copy of the result set.
`Value[]` `currentRow()` Get the current row.
`long` `getRowId()` Get the current row id, starting with 0.
`boolean` `isAfterLast()` Check if the current position is after last row.
`boolean` `needToClose()` Check if this result set should be closed, for example because it is buffered using a temporary file.
`boolean` `next()` Go to the next row.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2.result.ResultInterface

`close, getAlias, getColumnName, getColumnType, getFetchSize, getNullable, getRowCount, getSchemaName, getTableName, getVisibleColumnCount, hasNext, isClosed, isIdentity, isLazy, reset, setFetchSize`

### Method Detail

#### currentRow

    public final Value[] currentRow()

Description copied from interface: `ResultInterface`
Get the current row.

Specified by:
  `currentRow` in interface `ResultInterface`
Returns:
  the row

#### next

    public final boolean next()

Description copied from interface: `ResultInterface`
Go to the next row.

Specified by:
  `next` in interface `ResultInterface`
Returns:
  true if a row exists

#### isAfterLast

    public final boolean isAfterLast()

Description copied from interface: `ResultInterface`
Check if the current position is after last row.

Specified by:
  `isAfterLast` in interface `ResultInterface`
Returns:
  true if after last

#### getRowId

    public final long getRowId()

Description copied from interface: `ResultInterface`
Get the current row id, starting with 0. -1 is returned when next() was not called yet.

Specified by:
  `getRowId` in interface `ResultInterface`
Returns:
  the row id

#### needToClose

    public final boolean needToClose()

Description copied from interface: `ResultInterface`
Check if this result set should be closed, for example because it is buffered using a temporary file.

Specified by:
  `needToClose` in interface `ResultInterface`
Returns:
  true if close should be called.

#### createShallowCopy

    public final ResultInterface createShallowCopy(Session targetSession)

Description copied from interface: `ResultInterface`
Create a shallow copy of the result set. The data and a temporary table (if there is any) is not copied.

Specified by:
  `createShallowCopy` in interface `ResultInterface`
Parameters:
  `targetSession` - the session of the copy
Returns:
  the copy if possible, or null if copying is not possible